## org.mortbay.jetty.plus.annotation
Class RunAs

    java.lang.Object
      org.mortbay.jetty.plus.annotation.RunAs

    public class RunAs

extends Object

RunAs Represents a <run-as> element in web.xml, or a runAs annotation.

Constructor Summary
`RunAs()`

Method Summary
`String` `getRoleName()`
`Class` `getTargetClass()`
`void` `setRoleName(String roleName)`
`void` `setRunAs(ServletHolder holder)`
`void` `setTargetClass(Class clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunAs

    public RunAs()

Method Detail

### setTargetClass

    public void setTargetClass(Class clazz)

### getTargetClass

    public Class getTargetClass()

### setRoleName

    public void setRoleName(String roleName)

### getRoleName

    public String getRoleName()

### setRunAs

    public void setRunAs(ServletHolder holder)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.